/*-------------------------------------------------------------------- +
|
|   BoxDependency.h
|
+--------------------------------------------------------------------- */
/*-------------------------------------------------------------------- +
|																		|
| Copyright (C) 2017 LA Solutions Ltd, 									|
| All rights reserved.													|
|																		|
+----------------------------------------------------------------------*/
#if !defined(BOX_DEPENDENCY_IDS_H_INCLUDED_)
#define BOX_DEPENDENCY_IDS_H_INCLUDED_
#pragma once

#define	TXT_DllName		L"BoxDependency"

enum AppValues
{
	///	<summary>Box Dependency ID.</summary>
	TYPE_BOX				= 170,		//	Original box dependency app ID
	///	<summary>Offset Dependency ID.</summary>
	TYPE_XYOFFSET_ID		= 171,		//	Offset element dependency app ID when using root element ID
	///	<summary>Offset Dependency ID.</summary>
	TYPE_XYOFFSET_ASSOC		= 172,		//	Offset element dependency app ID when using association point
};
///	<summary>Message List and message IDs.</summary>
enum MessageListIDs
{
	MESSAGELIST_Captions,
	MESSAGELIST_Commands,
	MESSAGELIST_Errors,
	MESSAGELIST_Messages,
	MESSAGELIST_Misc,
	MESSAGELIST_Prompts,
};

enum CmdMessageIDs
{
    COMMAND_ToolSettings,
    COMMAND_PlaceDate,
    COMMAND_CreateTextTool,
 	COMMAND_PlaceCellTool,
};

enum PromptMessageIDs
{
    PROMPT_abc,
    PROMPT_EnterPoint,
    PROMPT_PlaceText,
    PROMPT_PlaceCell,
};

enum ErrorMessageIDs
{
    ERROR_RootPathEmpty,
    ERROR_RootPathInvalid,
};

enum MiscellaneousIDs
{
	MISC_abc					= 10,
};

enum MessageIDs
{
    MESSAGE_InputRequired,
};


#endif	// !defined(BOX_DEPENDENCY_IDS_H_INCLUDED_)
